#pragma once

#include "Point.h"
#include "Transform.h"
#include "Bounds.h"

class PointCollection
{
public:
    PointCollection(const std::vector<Point> points = {});

    void apply(const Transform& transform);

    Bounds getBounds() const;

private:
    std::vector<Point> mPoints;
};
