#pragma once

#include <filesystem>

using Path = std::filesystem::path;

class Image;

class PlatformImageWriter
{
public:
	enum class ImgFormat
	{
		PNG
	};

	virtual void write(const Path& path, Image* image, ImgFormat format = ImgFormat::PNG) = 0;
};