#pragma once

#include "SvgElement.h"
#include "Color.h"

class SvgShapeElement : public SvgElement
{
public:
    SvgShapeElement(const std::string& tagName);

    void setFill(const Color& fill);

    void setNoFill();

    void setStrokeWidth(double width);

    void setStrokeColor(const Color& stroke);

    void setNoStroke();
};
